local hastree, tree = pcall(require, "nvim-tree")
if not hastree then
    return
end

tree.setup({
    sort_by = "case_sensitive",
    sync_root_with_cwd = true,
    update_focused_file = {
        update_root = true,
    },
    view = {
        adaptive_size = true,
        mappings = {
            list = {
                {key = "cd", action = "cd"},
                {key = "<backspace>", action = "close"},
            }
        },
    },
    renderer = {
        group_empty = true,
    },
    filters = {
        dotfiles = true,
    },
})
